<template>
    <div>
        <input :id="fieldname" type="checkbox" v-model="newValue" v-on:change="changeValueInDatabase" :disabled="disabled"/><label :for="fieldname">{{ label }}</label>
        <broject-database-fieldchanger
            :classname="classname"
            :entity-id="entityId"
            :fieldname="fieldname"
            :old-value="oldValue"
            :new-value="newValue"
            :disabled="disabled"
            :is-changing="isChanging"
            type="checkbox"
            @changeSucceeded="changeValueInVue"
            @changeFailed="handleFailedFieldChange"
        ></broject-database-fieldchanger>
    </div>
</template>

<script>
    import General from './General.vue';

    export default {

        extends: General,

        props: {
            value: {
                type: Boolean,
                required: true,
            }
        }

    }
</script>
